Bug 59715 - document as e-mail not working if app name includes spaces
Summary: document as e-mail not working if app name includes spaces
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 15:29 UTC by M Fehr
Modified: 2015-06-11 23:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description M Fehr 2013-01-22 15:29:24 UTC
Problem description: 

IBM Notes Beta version 9 has got a new name of the application (/Application/IBM Notes.app). Previously, it was named /Application/notes.app). As Apple introduced the notes.app with 10.8, IBM was forced to rename their e-mail client.

With the current release of Libreoffice, documents can not be sent to the Beta version of IBM Notes 9 after the e-mail application was configured in the preferences pane. - Workaround: Put the e-mail application name in quotes, i.e. "/Application/IBM Notes.app"

Steps to reproduce:
1. Go the Libre Office preferences, select Internet - E-Mail
2. Select /Applications/IBM Notes.app as the new e-mail app

Current behavior:
Try sending an e-mail fails with the error message "LibreOffice was unable to find a working e-mail configuration. Please save this document locally instead and attach it from within your e-mail client.

Work around:
1. Go the Libre Office preferences, select Internet - E-Mail
2. Enter the e-mail app name in quotes "/Applications/IBM Notes.app" as the new e-mail app

Operating System: Mac OS X
Version: 3.6.4.3 release
Comment 1 retired 2013-11-22 18:06:18 UTC
An email client coming from IBM called "notes" on OS X? I've never heard of that. I can't find this software on e.g. https://www.macupdate.com

Is this maintained software? Where is it available?

Can you please provide a test document so this can be tested against and subsequently be confirmed.

Why not use Mail.app?

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to UNCONFIRMED. Thanks :)
Comment 2 M Fehr 2013-11-22 23:06:40 UTC
IBM Notes was formerly known as Lotus Notes. - The current released version is 9. A trial version can be downloaded here: http://www-03.ibm.com/software/products/en/ibmnotes

I can't use Mail.app as IBM Notes is my corporate e-mail client. I can access my e-mail through Notes only. IMAP access (which is a protocol for Mail.app) is not open for us employees.

No particular test document is necessary. This bug is about sending any LibreOffice document to the mail client configured. BTW: OpenOffice has the same error.
Comment 3 Cor Nouws 2013-12-27 21:47:21 UTC
Hi M Fehr,

Is the mail client running in a browser?
If so, I guess it's the same problem as with all browser based mail applications.

If not, do you have any experience with recent versions of LibreOffice?

thanks,
Cor
Comment 4 M Fehr 2013-12-27 22:07:53 UTC
No, this is a native Mac OS X app. The unusual thing of the app is that the app name contains a space in it's name (IBM Notes.app). That's why the workaround is to put the app name into quotes.
Comment 5 Cor Nouws 2013-12-27 22:20:35 UTC
(In reply to comment #4)
> No, this is a native Mac OS X app. The unusual thing of the app is that the
> app name contains a space in it's name (IBM Notes.app). That's why the
> workaround is to put the app name into quotes.

thanks for your fast reply :)

You mean exactly that the workaround is to use quotes around the name?
(In that case, more applications /situations will face the same problem, I guess)
Comment 6 M Fehr 2013-12-27 22:26:43 UTC
Exactly. Any app that includes spaces or special characters in it's name would be affected by this.
Comment 7 Buovjaga 2014-11-25 08:23:27 UTC
This should be UNCONFIRMED.
Comment 8 Alex Thurgood 2014-11-30 11:09:16 UTC
Confirming with LO 3.6, but setting to needinfo for reasons below.

This was an old bug, and a known limitation of the detection code. LO 3.6 is ancient in project terms.

Does it still occur with the latest production release of Libreoffice ?
Please retest and report back.

Bear in mind that bugs in end of life versions such as 3.6.x or even 4.2.x are not going to be fixed in those versions.
Comment 9 QA Administrators 2015-06-08 14:29:26 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 10 M Fehr 2015-06-11 23:05:46 UTC
I tested the bug with version 4.3.7.2 on Mac OS X 10.10.3 with an application that exists on every OS X installation: /Applications/Utilities/AirPort Utility.app

The result is positive: It now can launch the application without the app name in quotes

Hence, the bug can be closed as resolved